PrecedenceQueryParserConstants (Lucene 2.4.1 API)
Keywords: org.apache.lucene.queryParser.precedence.PrecedenceQueryParserConstants interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.precedence
Interface PrecedenceQueryParserConstants

All Known Implementing Classes:
  PrecedenceQueryParser, PrecedenceQueryParserTokenManager

    public interface PrecedenceQueryParserConstants

Field Summary
`static int` | `_ESCAPED_CHAR`
`static int` | `_NUM_CHAR`
`static int` | `_TERM_CHAR`
`static int` | `_TERM_START_CHAR`
`static int` | `_WHITESPACE`
`static int` | `AND`
`static int` | `Boost`
`static int` | `CARAT`
`static int` | `COLON`
`static int` | `DEFAULT`
`static int` | `EOF`
`static int` | `FUZZY_SLOP`
`static int` | `LPAREN`
`static int` | `MINUS`
`static int` | `NOT`
`static int` | `NUMBER`
`static int` | `OR`
`static int` | `PLUS`
`static int` | `PREFIXTERM`
`static int` | `QUOTED`
`static int` | `RangeEx`
`static int` | `RANGEEX_END`
`static int` | `RANGEEX_GOOP`
`static int` | `RANGEEX_QUOTED`
`static int` | `RANGEEX_START`
`static int` | `RANGEEX_TO`
`static int` | `RangeIn`
`static int` | `RANGEIN_END`
`static int` | `RANGEIN_GOOP`
`static int` | `RANGEIN_QUOTED`
`static int` | `RANGEIN_START`
`static int` | `RANGEIN_TO`
`static int` | `RPAREN`
`static int` | `TERM`
`static String[]` | `tokenImage`
`static int` | `WILDTERM`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### _NUM_CHAR

    static final int _NUM_CHAR

See Also:
  Constant Field Values

### _ESCAPED_CHAR

    static final int _ESCAPED_CHAR

See Also:
  Constant Field Values

### _TERM_START_CHAR

    static final int _TERM_START_CHAR

See Also:
  Constant Field Values

### _TERM_CHAR

    static final int _TERM_CHAR

See Also:
  Constant Field Values

### _WHITESPACE

    static final int _WHITESPACE

See Also:
  Constant Field Values

### AND

    static final int AND

See Also:
  Constant Field Values

### OR

    static final int OR

See Also:
  Constant Field Values

### NOT

    static final int NOT

See Also:
  Constant Field Values

### PLUS

    static final int PLUS

See Also:
  Constant Field Values

### MINUS

    static final int MINUS

See Also:
  Constant Field Values

### LPAREN

    static final int LPAREN

See Also:
  Constant Field Values

### RPAREN

    static final int RPAREN

See Also:
  Constant Field Values

### COLON

    static final int COLON

See Also:
  Constant Field Values

### CARAT

    static final int CARAT

See Also:
  Constant Field Values

### QUOTED

    static final int QUOTED

See Also:
  Constant Field Values

### TERM

    static final int TERM

See Also:
  Constant Field Values

### FUZZY_SLOP

    static final int FUZZY_SLOP

See Also:
  Constant Field Values

### PREFIXTERM

    static final int PREFIXTERM

See Also:
  Constant Field Values

### WILDTERM

    static final int WILDTERM

See Also:
  Constant Field Values

### RANGEIN_START

    static final int RANGEIN_START

See Also:
  Constant Field Values

### RANGEEX_START

    static final int RANGEEX_START

See Also:
  Constant Field Values

### NUMBER

    static final int NUMBER

See Also:
  Constant Field Values

### RANGEIN_TO

    static final int RANGEIN_TO

See Also:
  Constant Field Values

### RANGEIN_END

    static final int RANGEIN_END

See Also:
  Constant Field Values

### RANGEIN_QUOTED

    static final int RANGEIN_QUOTED

See Also:
  Constant Field Values

### RANGEIN_GOOP

    static final int RANGEIN_GOOP

See Also:
  Constant Field Values

### RANGEEX_TO

    static final int RANGEEX_TO

See Also:
  Constant Field Values

### RANGEEX_END

    static final int RANGEEX_END

See Also:
  Constant Field Values

### RANGEEX_QUOTED

    static final int RANGEEX_QUOTED

See Also:
  Constant Field Values

### RANGEEX_GOOP

    static final int RANGEEX_GOOP

See Also:
  Constant Field Values

### Boost

    static final int Boost

See Also:
  Constant Field Values

### RangeEx

    static final int RangeEx

See Also:
  Constant Field Values

### RangeIn

    static final int RangeIn

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    static final String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.